edu.wpi.first.wpilibj.hal

## Interface FRCNetComm.tInstances

- Enclosing class:
    FRCNetComm

      public static interface FRCNetComm.tInstances

  Instances from UsageReporting.h

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `kADXL345_I2C`
    `static int` | `kADXL345_SPI`
    `static int` | `kCANPlugin_2CAN`
    `static int` | `kCANPlugin_BlackJagBridge`
    `static int` | `kCommand_Scheduler`
    `static int` | `kDriverStationCIO_Analog`
    `static int` | `kDriverStationCIO_DigitalIn`
    `static int` | `kDriverStationCIO_DigitalOut`
    `static int` | `kDriverStationEIO_Acceleration`
    `static int` | `kDriverStationEIO_AnalogIn`
    `static int` | `kDriverStationEIO_AnalogOut`
    `static int` | `kDriverStationEIO_Button`
    `static int` | `kDriverStationEIO_DigitalIn`
    `static int` | `kDriverStationEIO_DigitalOut`
    `static int` | `kDriverStationEIO_Encoder`
    `static int` | `kDriverStationEIO_FixedDigitalOut`
    `static int` | `kDriverStationEIO_LED`
    `static int` | `kDriverStationEIO_PWM`
    `static int` | `kDriverStationEIO_TouchSlider`
    `static int` | `kFramework_CommandControl`
    `static int` | `kFramework_Iterative`
    `static int` | `kFramework_Simple`
    `static int` | `kLanguage_CPlusPlus`
    `static int` | `kLanguage_Java`
    `static int` | `kLanguage_LabVIEW`
    `static int` | `kLanguage_Python`
    `static int` | `kRobotDrive_ArcadeButtonSpin`
    `static int` | `kRobotDrive_ArcadeRatioCurve`
    `static int` | `kRobotDrive_ArcadeStandard`
    `static int` | `kRobotDrive_MecanumCartesian`
    `static int` | `kRobotDrive_MecanumPolar`
    `static int` | `kRobotDrive_Tank`
    `static int` | `kSmartDashboard_Instance`

- - ### Field Detail

    - #### kLanguage_LabVIEW

          static final int kLanguage_LabVIEW

      See Also:
        Constant Field Values

    - #### kLanguage_CPlusPlus

          static final int kLanguage_CPlusPlus

      See Also:
        Constant Field Values

    - #### kLanguage_Java

          static final int kLanguage_Java

      See Also:
        Constant Field Values

    - #### kLanguage_Python

          static final int kLanguage_Python

      See Also:
        Constant Field Values

    - #### kCANPlugin_BlackJagBridge

          static final int kCANPlugin_BlackJagBridge

      See Also:
        Constant Field Values

    - #### kCANPlugin_2CAN

          static final int kCANPlugin_2CAN

      See Also:
        Constant Field Values

    - #### kFramework_Iterative

          static final int kFramework_Iterative

      See Also:
        Constant Field Values

    - #### kFramework_Simple

          static final int kFramework_Simple

      See Also:
        Constant Field Values

    - #### kFramework_CommandControl

          static final int kFramework_CommandControl

      See Also:
        Constant Field Values

    - #### kRobotDrive_ArcadeStandard

          static final int kRobotDrive_ArcadeStandard

      See Also:
        Constant Field Values

    - #### kRobotDrive_ArcadeButtonSpin

          static final int kRobotDrive_ArcadeButtonSpin

      See Also:
        Constant Field Values

    - #### kRobotDrive_ArcadeRatioCurve

          static final int kRobotDrive_ArcadeRatioCurve

      See Also:
        Constant Field Values

    - #### kRobotDrive_Tank

          static final int kRobotDrive_Tank

      See Also:
        Constant Field Values

    - #### kRobotDrive_MecanumPolar

          static final int kRobotDrive_MecanumPolar

      See Also:
        Constant Field Values

    - #### kRobotDrive_MecanumCartesian

          static final int kRobotDrive_MecanumCartesian

      See Also:
        Constant Field Values

    - #### kDriverStationCIO_Analog

          static final int kDriverStationCIO_Analog

      See Also:
        Constant Field Values

    - #### kDriverStationCIO_DigitalIn

          static final int kDriverStationCIO_DigitalIn

      See Also:
        Constant Field Values

    - #### kDriverStationCIO_DigitalOut

          static final int kDriverStationCIO_DigitalOut

      See Also:
        Constant Field Values

    - #### kDriverStationEIO_Acceleration

          static final int kDriverStationEIO_Acceleration

      See Also:
        Constant Field Values

    - #### kDriverStationEIO_AnalogIn

          static final int kDriverStationEIO_AnalogIn

      See Also:
        Constant Field Values

    - #### kDriverStationEIO_AnalogOut

          static final int kDriverStationEIO_AnalogOut

      See Also:
        Constant Field Values

    - #### kDriverStationEIO_Button

          static final int kDriverStationEIO_Button

      See Also:
        Constant Field Values

    - #### kDriverStationEIO_LED

          static final int kDriverStationEIO_LED

      See Also:
        Constant Field Values

    - #### kDriverStationEIO_DigitalIn

          static final int kDriverStationEIO_DigitalIn

      See Also:
        Constant Field Values

    - #### kDriverStationEIO_DigitalOut

          static final int kDriverStationEIO_DigitalOut

      See Also:
        Constant Field Values

    - #### kDriverStationEIO_FixedDigitalOut

          static final int kDriverStationEIO_FixedDigitalOut

      See Also:
        Constant Field Values

    - #### kDriverStationEIO_PWM

          static final int kDriverStationEIO_PWM

      See Also:
        Constant Field Values

    - #### kDriverStationEIO_Encoder

          static final int kDriverStationEIO_Encoder

      See Also:
        Constant Field Values

    - #### kDriverStationEIO_TouchSlider

          static final int kDriverStationEIO_TouchSlider

      See Also:
        Constant Field Values

    - #### kADXL345_SPI

          static final int kADXL345_SPI

      See Also:
        Constant Field Values

    - #### kADXL345_I2C

          static final int kADXL345_I2C

      See Also:
        Constant Field Values

    - #### kCommand_Scheduler

          static final int kCommand_Scheduler

      See Also:
        Constant Field Values

    - #### kSmartDashboard_Instance

          static final int kSmartDashboard_Instance

      See Also:
        Constant Field Values